#!/usr/bin/perl

use strict;
use warnings;

use Data::Dumper;
$Data::Dumper::Deepcopy = 1;
$Data::Dumper::Terse    = 0;

use DBI;

use Template;

my $dbh = DBI->connect( "dbi:Pg:dbname=quotebot;host=andromeda128-stargate",
    "ryan", "", { RaiseError => 1 } );

sub gettemplate {
    local $/;
    my $temp = <DATA>;
    return $temp;
    close DATA;
}

sub getepisodes {
    my $sth = $dbh->prepare(q{SELECT * FROM episodeinfo ORDER BY eid ASC});
    $sth->execute();

    my @epis;

    while ( my $row = $sth->fetchrow_hashref() ) {
        $row->{eidpad} = sprintf( "%03d", $row->{eid} );
        push @epis, $row;
    }

    return \@epis;
}

#------------------------MAIN--------------------
my $episodes = getepisodes();
my $template = gettemplate();
my $config   = {
    POST_CHOMP => 0,    # cleanup whitespace
};

my $tt = Template->new($config);

my $vars = { episodes => $episodes };
my $output;
$tt->process( \$template, $vars, \$output );

print $output;

__DATA__
<?xml version="1.0" encoding="UTF-8"?>
<rss version="2.0" xmlns:media="http://search.yahoo.com/mrss/" xmlns:jwplayer="http://developer.longtailvideo.com/trac/wiki/FlashFormats">
	<channel>
		<title>[%epirange%]</title>[%FOREACH epi IN episodes%]
		<item>
			<title>Episode [%epi.eid%]</title>
			<media:credit role="author">[%epi.group%]</media:credit>
			<description>[%epi.title%]</description>
			<media:content url="http://conantv.net/videos/getvid.pl?file=[%epi.eidpad%]-STV.mp4"></media:content>
			<media:thumbnail url=""></media:thumbnail>
			<media:keywords></media:keywords>
		</item>[%END%]
	</channel>
</rss>
