#!/usr/bin/perl

use strict;

#use warnings;

use Data::Dumper;

use DBI;

my $dbh = DBI->connect( "dbi:Pg:dbname=quotebot;host=localhost",
    "ryan", "", { RaiseError => 1 } );

my %vars = ( QUOTECOUNTS => "", QUOTES => "", TRIGGER => "" );
my $sth;

$sth = $dbh->prepare(
'SELECT COUNT(quotes.qid) as count, sources.name as name, sources."desc" as description FROM quotes, sources WHERE quotes.sid = sources.sid AND sources.sid > 0 GROUP BY sources.name, sources."desc"'
);
$sth->execute();
while ( my $row = $sth->fetchrow_hashref() ) {
    $vars{QUOTECOUNTS} .=
        "<tr><td>"
      . $row->{name}
      . "</td><td>"
      . $row->{description}
      . "</td><td>"
      . $row->{count}
      . "</td></tr>";
}

$sth = $dbh->prepare(
    'SELECT COUNT(qid) FROM quotes WHERE qid > 0 AND deleted = FALSE;');
$sth->execute();
( $vars{QUOTETOTAL} ) = $sth->fetchrow_array();

$sth = $dbh->prepare('SELECT COUNT(qid) FROM quotes WHERE qid > 0;');
$sth->execute();
( $vars{QUOTETOTALDEL} ) = $sth->fetchrow_array();

$sth = $dbh->prepare('SELECT COUNT(qid) FROM quotes;');
$sth->execute();
( $vars{QUOTETOTALEPS} ) = $sth->fetchrow_array();

$sth = $dbh->prepare('SELECT trigger, counter FROM triggers ORDER BY tid ASC');
$sth->execute();
while ( my $row = $sth->fetchrow_hashref() ) {
    $vars{TRIGGER} .=
        "<tr><td>"
      . $row->{trigger}
      . "</td><td>"
      . $row->{counter}
      . "</td></tr>";
}

$sth = $dbh->prepare(
'SELECT quotes.quote, sources.sid, sources.name, sources."desc", quotes.qid, quotes.counter FROM quotes, sources WHERE quotes.sid = sources.sid AND NOT quotes.deleted AND quotes.qid > 0 ORDER BY quotes.sid, quotes.qid'
);
$sth->execute();
my @colors = ( "#FFFFFF", "#00EFEF", "#EF7F00" );
my $curcol = @colors;                             #always start at the first one
my $osid   = -1;
while ( my $row = $sth->fetchrow_hashref() ) {
    my $nsid = $row->{sid};
    $osid = $nsid, $curcol = ( $curcol + 1 ) % @colors if $osid != $nsid;
    $vars{QUOTES} .=
        "<tr bgcolor=\""
      . $colors[$curcol]
      . "\"><td>"
      . $row->{name}
      . "</td><td>"
      . $row->{desc}
      . "</td><td>"
      . $row->{quote}
      . "</td><td>"
      . $row->{qid}
      . "</td><td>"
      . $row->{counter}
      . "</td></tr>";
}

while (<DATA>) {
    s/%%([^%]+)%%/$vars{$1}/eg;    #too poor

    print;
}

__DATA__
<html>
<head><title>Quotes!</title></head>
<body>

<h3>Triggers</h3>
<table border="1">
    <tr><td><b>Trigger</b></td><td><b>Times Used</b></td></tr>
    %%TRIGGER%%
</table>

<h3>Number of Quotes per source</h3>
<table border="1">
    <tr><td><b>Name</b></td><td><b>Description</b></td><td><b>Number of quotes</b></td></tr>
	%%QUOTECOUNTS%%
</table>
Total: %%QUOTETOTAL%%<br>
Total+Deleted: %%QUOTETOTALDEL%%<br>
Total+Deleted+Eps (includes germans!): %%QUOTETOTALEPS%%<br>
<br><br>
<h3>All quotes</h3>
<table border="1">
    <tr><td><b>Source Name</b></td><td><b>Source Description</b></td><td><b>Quote</b></td><td><b>Quote ID</b></td><td><b>Times seen</b></td></tr>
	%%QUOTES%%
</table>
</body>
</html>
