use utf8;

package DB::Schema::Result::Bansource;

=head1 NAME

DB::Schema::Result::Bansource

=cut

use strict;
use warnings;

use base 'DBIx::Class::Core';

=head1 TABLE: C<bansource>

=cut

__PACKAGE__->table("bansource");

=head1 ACCESSORS

=head2 cid

  data_type: 'integer'
  is_foreign_key: 1
  is_nullable: 0

=head2 sid

  data_type: 'integer'
  is_foreign_key: 1
  is_nullable: 0

=cut

__PACKAGE__->add_columns(
    "cid", { data_type => "integer", is_foreign_key => 1, is_nullable => 0 },
    "sid", { data_type => "integer", is_foreign_key => 1, is_nullable => 0 },
);

=head1 PRIMARY KEY

=over 4

=item * L</cid>

=item * L</sid>

=back

=cut

__PACKAGE__->set_primary_key("cid", "sid");

=head1 RELATIONS

=head2 cid

Type: belongs_to

Related object: L<DB::Schema::Result::Channelsetup>

=cut

__PACKAGE__->belongs_to(
    "channelsetup",
    "DB::Schema::Result::Channelsetup",
    { cid           => "cid" },
    { is_deferrable => 0, on_delete => "NO ACTION", on_update => "NO ACTION" },
);

=head2 sid

Type: belongs_to

Related object: L<DB::Schema::Result::Source>

=cut

__PACKAGE__->belongs_to(
    "source", "DB::Schema::Result::Source",
    { sid           => "sid" },
    { is_deferrable => 0, on_delete => "NO ACTION", on_update => "NO ACTION" },
);

# You can replace this text with custom code or comments, and it will be preserved on regeneration
1;
