use utf8;

package DB::Schema::Result::Channelsetup;

# Created by DBIx::Class::Schema::Loader
# DO NOT MODIFY THE FIRST PART OF THIS FILE

=head1 NAME

DB::Schema::Result::Channelsetup

=cut

use strict;
use warnings;

use base 'DBIx::Class::Core';

=head1 TABLE: C<channelsetup>

=cut

__PACKAGE__->table("channelsetup");

=head1 ACCESSORS

=head2 channel

  data_type: 'text'
  is_nullable: 0

=head2 stripcolors

  data_type: 'boolean'
  default_value: false
  is_nullable: 1

=head2 cid

  data_type: 'integer'
  is_auto_increment: 1
  is_nullable: 0
  sequence: 'channelsetup_cid_seq'

=cut

__PACKAGE__->add_columns(
    "channel",
    { data_type => "text", is_nullable => 0 },
    "stripcolors",
    { data_type => "boolean", default_value => \"false", is_nullable => 1 },
    "cid",
    {
        data_type         => "integer",
        is_auto_increment => 1,
        is_nullable       => 0,
        sequence          => "channelsetup_cid_seq",
    },
);

=head1 PRIMARY KEY

=over 4

=item * L</cid>

=back

=cut

__PACKAGE__->set_primary_key("cid");

=head1 UNIQUE CONSTRAINTS

=head2 C<channelsetup_channel_key>

=over 4

=item * L</channel>

=back

=cut

__PACKAGE__->add_unique_constraint("channelsetup_channel_key", ["channel"]);

=head1 RELATIONS

=head2 bansources

Type: has_many

Related object: L<DB::Schema::Result::Bansource>

=cut

__PACKAGE__->has_many(
    "bansources",
    "DB::Schema::Result::Bansource",
    { "foreign.cid" => "self.cid" },
    { cascade_copy  => 0, cascade_delete => 0 },
);

=head2 sids

Type: many_to_many

Composing rels: L</bansources> -> sid

=cut

__PACKAGE__->many_to_many("sids", "bansources", "sid");

# Created by DBIx::Class::Schema::Loader v0.07046 @ 2016-09-17 02:49:23
# DO NOT MODIFY THIS OR ANYTHING ABOVE! md5sum:H5/1mKxxfS6wbExx2xYGsw

# You can replace this text with custom code or comments, and it will be preserved on regeneration
1;
