use utf8;

package DB::Schema::Result::Episodeinfo;

# Created by DBIx::Class::Schema::Loader
# DO NOT MODIFY THE FIRST PART OF THIS FILE

=head1 NAME

DB::Schema::Result::Episodeinfo

=head1 DESCRIPTION

This table doesn't get used by the bot, but does get used by the web interface so that its easier to have editing of episode information (e.g. links)

=cut

use strict;
use warnings;

use base 'DBIx::Class::Core';

=head1 TABLE: C<episodeinfo>

=cut

__PACKAGE__->table("episodeinfo");

=head1 ACCESSORS

=head2 eid

  data_type: 'integer'
  is_nullable: 0

=head2 title

  data_type: 'text'
  is_nullable: 1

=head2 group

  data_type: 'text'
  is_nullable: 1

=head2 fsize

  data_type: 'text'
  is_nullable: 1

=head2 fcodec

  data_type: 'text'
  is_nullable: 1

=head2 fcrc

  data_type: 'text'
  is_nullable: 1

=head2 botlisting

  data_type: 'text'
  is_nullable: 1

=head2 filelink

  data_type: 'text'
  is_nullable: 1

=head2 airdate

  data_type: 'text'
  is_nullable: 1

=head2 ratings

  data_type: 'text'
  is_nullable: 1

=head2 epdesc

  data_type: 'text'
  is_nullable: 1

=head2 fcomment

  data_type: 'text'
  is_nullable: 1

=head2 animeoriginal

  data_type: 'text'
  is_nullable: 1

=head2 chapters

  data_type: 'text'
  is_nullable: 1

=head2 filelink_date

  data_type: 'timestamp with time zone'
  default_value: clock_timestamp()
  is_nullable: 0

=cut

__PACKAGE__->add_columns(
    "eid",
    { data_type => "integer", is_nullable => 0 },
    "title",
    { data_type => "text", is_nullable => 1 },
    "group",
    { data_type => "text", is_nullable => 1 },
    "fsize",
    { data_type => "text", is_nullable => 1 },
    "fcodec",
    { data_type => "text", is_nullable => 1 },
    "fcrc",
    { data_type => "text", is_nullable => 1 },
    "botlisting",
    { data_type => "text", is_nullable => 1 },
    "filelink",
    { data_type => "text", is_nullable => 1 },
    "airdate",
    { data_type => "text", is_nullable => 1 },
    "ratings",
    { data_type => "text", is_nullable => 1 },
    "epdesc",
    { data_type => "text", is_nullable => 1 },
    "fcomment",
    { data_type => "text", is_nullable => 1 },
    "animeoriginal",
    { data_type => "text", is_nullable => 1 },
    "chapters",
    { data_type => "text", is_nullable => 1 },
    "filelink_date",
    {
        data_type     => "timestamp with time zone",
        default_value => \"clock_timestamp()",
        is_nullable   => 0,
    },
);

=head1 PRIMARY KEY

=over 4

=item * L</eid>

=back

=cut

__PACKAGE__->set_primary_key("eid");

# Created by DBIx::Class::Schema::Loader v0.07046 @ 2016-09-17 02:49:23
# DO NOT MODIFY THIS OR ANYTHING ABOVE! md5sum:DWC58pyEoa5YG+YI+RBLyw

# You can replace this text with custom code or comments, and it will be preserved on regeneration
1;
