use utf8;

package DB::Schema::Result::Groupinfo;

# Created by DBIx::Class::Schema::Loader
# DO NOT MODIFY THE FIRST PART OF THIS FILE

=head1 NAME

DB::Schema::Result::Groupinfo

=cut

use strict;
use warnings;

use base 'DBIx::Class::Core';

=head1 TABLE: C<groupinfo>

=cut

__PACKAGE__->table("groupinfo");

=head1 ACCESSORS

=head2 gid

  data_type: 'integer'
  is_auto_increment: 1
  is_nullable: 0
  sequence: 'groupinfo_gid_seq'

=head2 fullname

  data_type: 'text'
  is_nullable: 0

=head2 releases

  data_type: 'integer'
  default_value: 0
  is_nullable: 0

=head2 alive

  data_type: 'boolean'
  default_value: true
  is_nullable: 0

=head2 mergeddctp

  data_type: 'boolean'
  default_value: false
  is_nullable: 0

=cut

__PACKAGE__->add_columns(
    "gid",
    {
        data_type         => "integer",
        is_auto_increment => 1,
        is_nullable       => 0,
        sequence          => "groupinfo_gid_seq",
    },
    "fullname",
    { data_type => "text", is_nullable => 0 },
    "releases",
    { data_type => "integer", default_value => 0, is_nullable => 0 },
    "alive",
    { data_type => "boolean", default_value => \"true", is_nullable => 0 },
    "mergeddctp",
    { data_type => "boolean", default_value => \"false", is_nullable => 0 },
);

=head1 PRIMARY KEY

=over 4

=item * L</gid>

=back

=cut

__PACKAGE__->set_primary_key("gid");

# Created by DBIx::Class::Schema::Loader v0.07046 @ 2016-09-17 02:49:23
# DO NOT MODIFY THIS OR ANYTHING ABOVE! md5sum:v3GTL6LBEiVgsU0Sln1D+g

# You can replace this text with custom code or comments, and it will be preserved on regeneration
1;
