use utf8;

package DB::Schema::Result::List;

# Created by DBIx::Class::Schema::Loader
# DO NOT MODIFY THE FIRST PART OF THIS FILE

=head1 NAME

DB::Schema::Result::List

=cut

use strict;
use warnings;

use base 'DBIx::Class::Core';
__PACKAGE__->table_class("DBIx::Class::ResultSource::View");

=head1 TABLE: C<list>

=cut

__PACKAGE__->table("list");
__PACKAGE__->result_source_instance->view_definition(
    " SELECT quotes.quote,\n    triggers.trigger,\n    quotes.who,\n    quotes.qid,\n    sources.name,\n    sources.\"desc\",\n    quotes.counter,\n    sources.sid\n   FROM triggers,\n    quotes,\n    tidsources,\n    sources\n  WHERE ((triggers.tid = tidsources.tid) AND (quotes.sid = tidsources.sid) AND (sources.sid = quotes.sid) AND (NOT quotes.deleted))\n  ORDER BY quotes.counter"
);

=head1 ACCESSORS

=head2 quote

  data_type: 'text'
  is_nullable: 1

=head2 trigger

  data_type: 'text'
  is_nullable: 1

=head2 who

  data_type: 'text'
  is_nullable: 1

=head2 qid

  data_type: 'integer'
  is_nullable: 1

=head2 name

  data_type: 'text'
  is_nullable: 1

=head2 desc

  data_type: 'text'
  is_nullable: 1

=head2 counter

  data_type: 'integer'
  is_nullable: 1

=head2 sid

  data_type: 'integer'
  is_nullable: 1

=cut

__PACKAGE__->add_columns(
    "quote",   { data_type => "text",    is_nullable => 1 }, "trigger", { data_type => "text",    is_nullable => 1 },
    "who",     { data_type => "text",    is_nullable => 1 }, "qid",     { data_type => "integer", is_nullable => 1 },
    "name",    { data_type => "text",    is_nullable => 1 }, "desc",    { data_type => "text",    is_nullable => 1 },
    "counter", { data_type => "integer", is_nullable => 1 }, "sid",     { data_type => "integer", is_nullable => 1 },
);

# Created by DBIx::Class::Schema::Loader v0.07046 @ 2016-09-17 02:49:24
# DO NOT MODIFY THIS OR ANYTHING ABOVE! md5sum:Y5jJtBbZDhTFN3WbdrwZ9Q

# You can replace this text with custom code or comments, and it will be preserved on regeneration
1;
