use utf8;

package DB::Schema::Result::Source;

# Created by DBIx::Class::Schema::Loader
# DO NOT MODIFY THE FIRST PART OF THIS FILE

=head1 NAME

DB::Schema::Result::Source

=cut

use strict;
use warnings;

use base 'DBIx::Class::Core';

=head1 TABLE: C<sources>

=cut

__PACKAGE__->table("sources");

=head1 ACCESSORS

=head2 sid

  data_type: 'integer'
  is_auto_increment: 1
  is_nullable: 0
  sequence: 'sidseq'

=head2 name

  data_type: 'text'
  is_nullable: 0

=head2 desc

  data_type: 'text'
  is_nullable: 1

=cut

__PACKAGE__->add_columns(
    "sid",
    {
        data_type         => "integer",
        is_auto_increment => 1,
        is_nullable       => 0,
        sequence          => "sidseq",
    },
    "name",
    { data_type => "text", is_nullable => 0 },
    "desc",
    { data_type => "text", is_nullable => 1 },
);

=head1 PRIMARY KEY

=over 4

=item * L</sid>

=back

=cut

__PACKAGE__->set_primary_key("sid");

=head1 UNIQUE CONSTRAINTS

=head2 C<sources_name_key>

=over 4

=item * L</name>

=back

=cut

__PACKAGE__->add_unique_constraint("sources_name_key", ["name"]);

=head1 RELATIONS

=head2 bansources

Type: has_many

Related object: L<DB::Schema::Result::Bansource>

=cut

__PACKAGE__->has_many(
    "bansources",
    "DB::Schema::Result::Bansource",
    { "foreign.sid" => "self.sid" },
    { cascade_copy  => 0, cascade_delete => 0 },
);

=head2 quotes

Type: has_many

Related object: L<DB::Schema::Result::Quote>

=cut

__PACKAGE__->has_many("quotes", "DB::Schema::Result::Quote", { "foreign.sid" => "self.sid" }, { cascade_copy => 0, cascade_delete => 0 },);

=head2 tidsources

Type: has_many

Related object: L<DB::Schema::Result::Tidsource>

=cut

__PACKAGE__->has_many(
    "tidsources",
    "DB::Schema::Result::Tidsource",
    { "foreign.sid" => "self.sid" },
    { cascade_copy  => 0, cascade_delete => 0 },
);

=head2 cids

Type: many_to_many

Composing rels: L</bansources> -> cid

=cut

__PACKAGE__->many_to_many("cids", "bansources", "cid");

=head2 tids

Type: many_to_many

Composing rels: L</tidsources> -> tid

=cut

__PACKAGE__->many_to_many("tids", "tidsources", "tid");

# Created by DBIx::Class::Schema::Loader v0.07046 @ 2016-09-17 02:49:23
# DO NOT MODIFY THIS OR ANYTHING ABOVE! md5sum:IOac9QQGO4Amn+lTVrf63w

# You can replace this text with custom code or comments, and it will be preserved on regeneration
1;
