use utf8;

package DB::Schema::Result::Tidsource;

# Created by DBIx::Class::Schema::Loader
# DO NOT MODIFY THE FIRST PART OF THIS FILE

=head1 NAME

DB::Schema::Result::Tidsource

=cut

use strict;
use warnings;

use base 'DBIx::Class::Core';

=head1 TABLE: C<tidsources>

=cut

__PACKAGE__->table("tidsources");

=head1 ACCESSORS

=head2 sid

  data_type: 'integer'
  is_foreign_key: 1
  is_nullable: 0

=head2 tid

  data_type: 'integer'
  is_foreign_key: 1
  is_nullable: 0

=cut

__PACKAGE__->add_columns(
    "sid", { data_type => "integer", is_foreign_key => 1, is_nullable => 0 },
    "tid", { data_type => "integer", is_foreign_key => 1, is_nullable => 0 },
);

=head1 PRIMARY KEY

=over 4

=item * L</sid>

=item * L</tid>

=back

=cut

__PACKAGE__->set_primary_key("sid", "tid");

=head1 RELATIONS

=head2 sid

Type: belongs_to

Related object: L<DB::Schema::Result::Source>

=cut

__PACKAGE__->belongs_to(
    "source", "DB::Schema::Result::Source",
    { sid           => "sid" },
    { is_deferrable => 0, on_delete => "NO ACTION", on_update => "NO ACTION" },
);

=head2 tid

Type: belongs_to

Related object: L<DB::Schema::Result::Trigger>

=cut

__PACKAGE__->belongs_to(
    "trigger", "DB::Schema::Result::Trigger",
    { tid           => "tid" },
    { is_deferrable => 0, on_delete => "NO ACTION", on_update => "NO ACTION" },
);

# Created by DBIx::Class::Schema::Loader v0.07046 @ 2016-09-17 02:49:23
# DO NOT MODIFY THIS OR ANYTHING ABOVE! md5sum:ujh5vUZIJX8V52Ght0fL7A

# You can replace this text with custom code or comments, and it will be preserved on regeneration
1;
