use utf8;

package DB::Schema::Result::Trigger;

# Created by DBIx::Class::Schema::Loader
# DO NOT MODIFY THE FIRST PART OF THIS FILE

=head1 NAME

DB::Schema::Result::Trigger

=cut

use strict;
use warnings;

use base 'DBIx::Class::Core';

=head1 TABLE: C<triggers>

=cut

__PACKAGE__->table("triggers");

=head1 ACCESSORS

=head2 tid

  data_type: 'integer'
  is_auto_increment: 1
  is_nullable: 0
  sequence: 'tidseq'

=head2 trigger

  data_type: 'text'
  is_nullable: 0

=head2 counter

  data_type: 'bigint'
  default_value: 0
  is_nullable: 0

=cut

__PACKAGE__->add_columns(
    "tid",
    {
        data_type         => "integer",
        is_auto_increment => 1,
        is_nullable       => 0,
        sequence          => "tidseq",
    },
    "trigger",
    { data_type => "text", is_nullable => 0 },
    "counter",
    { data_type => "bigint", default_value => 0, is_nullable => 0 },
);

=head1 PRIMARY KEY

=over 4

=item * L</tid>

=back

=cut

__PACKAGE__->set_primary_key("tid");

=head1 UNIQUE CONSTRAINTS

=head2 C<triggers_trigger_key>

=over 4

=item * L</trigger>

=back

=cut

__PACKAGE__->add_unique_constraint("triggers_trigger_key", ["trigger"]);

=head1 RELATIONS

=head2 tidsources

Type: has_many

Related object: L<DB::Schema::Result::Tidsource>

=cut

__PACKAGE__->has_many(
    "tidsources",
    "DB::Schema::Result::Tidsource",
    { "foreign.tid" => "self.tid" },
    { cascade_copy  => 0, cascade_delete => 0 },
);

=head2 sids

Type: many_to_many

Composing rels: L</tidsources> -> sid

=cut

__PACKAGE__->many_to_many("sids", "tidsources", "sid");

# Created by DBIx::Class::Schema::Loader v0.07046 @ 2016-09-17 02:49:24
# DO NOT MODIFY THIS OR ANYTHING ABOVE! md5sum:0DSMYWF1SJnqrDPp8EqQ7A

# You can replace this text with custom code or comments, and it will be preserved on regeneration
1;
