#!/usr/bin/perl

use strict;
use warnings;

use Text::CSV;
use Data::Dumper;

use DBI;
use lib '../lib';

use Epiquote;

my $dbh = DBI->connect( "dbi:Pg:dbname=quotebot;host=andromeda128",
    "ryan", "sindarin", { RaiseError => 0 } );

my $csv = Text::CSV->new( { blank_is_undef => 1 } );
open( my $csvfh, "<", "dc_subbed_episode_list_100101_-_simcop_request.csv" );

#$_=<$csvfh>; #skip first line, easiest way to do it

#$VAR1 = [
#          '561',
#          'DCTP',
#          'The Mansion of Death and the Red Wall: Empty Fort Strategy [5]',
#          'Vol 65 File 8 - Vol 66 File 1'
#        ];

my $sth = $dbh->prepare("UPDATE episodeinfo SET chapters = ? WHERE eid = ?");

#$dbh->do("START TRANSACTION");
while ( my $line = <$csvfh> ) {
    $csv->parse($line);
    my %episode;

    #  print Dumper([$csv->fields()]);
    @episode{qw/eid group title chapters/} = $csv->fields();

    #  print Dumper(\%episode);
    $sth->execute( @episode{qw/chapters eid/} );

    Epiquote::doupdate( $episode{eid} );
}

#$dbh->do("COMMIT");
