--
-- PostgreSQL database dump
--

-- Started on 2009-06-04 11:42:41 EDT

SET client_encoding = 'UTF8';
SET standard_conforming_strings = off;
SET check_function_bodies = false;
SET client_min_messages = warning;
SET escape_string_warning = off;

SET search_path = public, pg_catalog;

SET default_tablespace = '';

SET default_with_oids = false;

--
-- TOC entry 1490 (class 1259 OID 32783)
-- Dependencies: 1765 3
-- Name: channelsetup; Type: TABLE; Schema: public; Owner: ryan; Tablespace: 
--

CREATE TABLE channelsetup (
    channel text NOT NULL,
    stripcolors boolean DEFAULT false
);


ALTER TABLE public.channelsetup OWNER TO ryan;

--
-- TOC entry 1491 (class 1259 OID 835692)
-- Dependencies: 3
-- Name: episodeinfo; Type: TABLE; Schema: public; Owner: ryan; Tablespace: 
--

CREATE TABLE episodeinfo (
    eid integer NOT NULL,
    title text,
    "group" text,
    fsize text,
    fcodec text,
    fcrc text,
    botlisting text,
    filelink text,
    airdate text,
    ratings text,
    epdesc text,
    fcomment text
);


ALTER TABLE public.episodeinfo OWNER TO ryan;

--
-- TOC entry 1793 (class 0 OID 0)
-- Dependencies: 1491
-- Name: TABLE episodeinfo; Type: COMMENT; Schema: public; Owner: ryan
--

COMMENT ON TABLE episodeinfo IS 'This table doesn''t get used by the bot, but does get used by the web interface so that its easier to have editing of episode information (e.g. links)';


--
-- TOC entry 1488 (class 1259 OID 16478)
-- Dependencies: 3
-- Name: qidseq; Type: SEQUENCE; Schema: public; Owner: ryan
--

CREATE SEQUENCE qidseq
    INCREMENT BY 1
    NO MAXVALUE
    NO MINVALUE
    CACHE 1;


ALTER TABLE public.qidseq OWNER TO ryan;

--
-- TOC entry 1482 (class 1259 OID 16401)
-- Dependencies: 1759 1760 1761 3
-- Name: quotes; Type: TABLE; Schema: public; Owner: ryan; Tablespace: 
--

CREATE TABLE quotes (
    qid integer DEFAULT nextval('qidseq'::regclass) NOT NULL,
    sid integer NOT NULL,
    quote text NOT NULL,
    who text,
    deleted boolean DEFAULT false NOT NULL,
    counter integer DEFAULT 0 NOT NULL
);


ALTER TABLE public.quotes OWNER TO ryan;

--
-- TOC entry 1487 (class 1259 OID 16476)
-- Dependencies: 3
-- Name: sidseq; Type: SEQUENCE; Schema: public; Owner: ryan
--

CREATE SEQUENCE sidseq
    INCREMENT BY 1
    NO MAXVALUE
    NO MINVALUE
    CACHE 1;


ALTER TABLE public.sidseq OWNER TO ryan;

--
-- TOC entry 1484 (class 1259 OID 16411)
-- Dependencies: 1764 3
-- Name: sources; Type: TABLE; Schema: public; Owner: ryan; Tablespace: 
--

CREATE TABLE sources (
    sid integer DEFAULT nextval('sidseq'::regclass) NOT NULL,
    name text NOT NULL,
    "desc" text
);


ALTER TABLE public.sources OWNER TO ryan;

--
-- TOC entry 1486 (class 1259 OID 16474)
-- Dependencies: 3
-- Name: tidseq; Type: SEQUENCE; Schema: public; Owner: ryan
--

CREATE SEQUENCE tidseq
    INCREMENT BY 1
    NO MAXVALUE
    NO MINVALUE
    CACHE 1;


ALTER TABLE public.tidseq OWNER TO ryan;

--
-- TOC entry 1485 (class 1259 OID 16421)
-- Dependencies: 3
-- Name: tidsources; Type: TABLE; Schema: public; Owner: ryan; Tablespace: 
--

CREATE TABLE tidsources (
    sid integer NOT NULL,
    tid integer NOT NULL
);


ALTER TABLE public.tidsources OWNER TO ryan;

--
-- TOC entry 1483 (class 1259 OID 16406)
-- Dependencies: 1762 1763 3
-- Name: triggers; Type: TABLE; Schema: public; Owner: ryan; Tablespace: 
--

CREATE TABLE triggers (
    tid integer DEFAULT nextval('tidseq'::regclass) NOT NULL,
    trigger text NOT NULL,
    counter bigint DEFAULT 0 NOT NULL
);


ALTER TABLE public.triggers OWNER TO ryan;

--
-- TOC entry 1489 (class 1259 OID 16537)
-- Dependencies: 1567 3
-- Name: list; Type: VIEW; Schema: public; Owner: ryan
--

CREATE VIEW list AS
    SELECT quotes.quote, triggers.trigger, quotes.who, quotes.qid, sources.name, sources."desc", quotes.counter FROM triggers, quotes, tidsources, sources WHERE ((((triggers.tid = tidsources.tid) AND (quotes.sid = tidsources.sid)) AND (sources.sid = quotes.sid)) AND (NOT quotes.deleted)) ORDER BY quotes.counter;


ALTER TABLE public.list OWNER TO ryan;

--
-- TOC entry 1781 (class 2606 OID 32791)
-- Dependencies: 1490 1490
-- Name: channelsetup_channel_key; Type: CONSTRAINT; Schema: public; Owner: ryan; Tablespace: 
--

ALTER TABLE ONLY channelsetup
    ADD CONSTRAINT channelsetup_channel_key UNIQUE (channel);


--
-- TOC entry 1783 (class 2606 OID 32793)
-- Dependencies: 1490 1490
-- Name: channelsetup_pkey; Type: CONSTRAINT; Schema: public; Owner: ryan; Tablespace: 
--

ALTER TABLE ONLY channelsetup
    ADD CONSTRAINT channelsetup_pkey PRIMARY KEY (channel);


--
-- TOC entry 1785 (class 2606 OID 835699)
-- Dependencies: 1491 1491
-- Name: episodeinfo_pkey; Type: CONSTRAINT; Schema: public; Owner: ryan; Tablespace: 
--

ALTER TABLE ONLY episodeinfo
    ADD CONSTRAINT episodeinfo_pkey PRIMARY KEY (eid);


--
-- TOC entry 1775 (class 2606 OID 16415)
-- Dependencies: 1484 1484
-- Name: pkey; Type: CONSTRAINT; Schema: public; Owner: ryan; Tablespace: 
--

ALTER TABLE ONLY sources
    ADD CONSTRAINT pkey PRIMARY KEY (sid);


--
-- TOC entry 1767 (class 2606 OID 16405)
-- Dependencies: 1482 1482
-- Name: primary key; Type: CONSTRAINT; Schema: public; Owner: ryan; Tablespace: 
--

ALTER TABLE ONLY quotes
    ADD CONSTRAINT "primary key" PRIMARY KEY (qid);


--
-- TOC entry 1769 (class 2606 OID 16494)
-- Dependencies: 1482 1482 1482
-- Name: quotes_quote_key; Type: CONSTRAINT; Schema: public; Owner: ryan; Tablespace: 
--

ALTER TABLE ONLY quotes
    ADD CONSTRAINT quotes_quote_key UNIQUE (quote, sid);


--
-- TOC entry 1777 (class 2606 OID 16496)
-- Dependencies: 1484 1484
-- Name: sources_name_key; Type: CONSTRAINT; Schema: public; Owner: ryan; Tablespace: 
--

ALTER TABLE ONLY sources
    ADD CONSTRAINT sources_name_key UNIQUE (name);


--
-- TOC entry 1779 (class 2606 OID 16488)
-- Dependencies: 1485 1485 1485
-- Name: tidsources_pkey; Type: CONSTRAINT; Schema: public; Owner: ryan; Tablespace: 
--

ALTER TABLE ONLY tidsources
    ADD CONSTRAINT tidsources_pkey PRIMARY KEY (sid, tid);


--
-- TOC entry 1771 (class 2606 OID 16410)
-- Dependencies: 1483 1483
-- Name: triggers_pkey; Type: CONSTRAINT; Schema: public; Owner: ryan; Tablespace: 
--

ALTER TABLE ONLY triggers
    ADD CONSTRAINT triggers_pkey PRIMARY KEY (tid);


--
-- TOC entry 1773 (class 2606 OID 16498)
-- Dependencies: 1483 1483
-- Name: triggers_trigger_key; Type: CONSTRAINT; Schema: public; Owner: ryan; Tablespace: 
--

ALTER TABLE ONLY triggers
    ADD CONSTRAINT triggers_trigger_key UNIQUE (trigger);


--
-- TOC entry 1786 (class 2606 OID 16416)
-- Dependencies: 1482 1774 1484
-- Name: sid; Type: FK CONSTRAINT; Schema: public; Owner: ryan
--

ALTER TABLE ONLY quotes
    ADD CONSTRAINT sid FOREIGN KEY (sid) REFERENCES sources(sid);


--
-- TOC entry 1787 (class 2606 OID 16426)
-- Dependencies: 1774 1485 1484
-- Name: sources; Type: FK CONSTRAINT; Schema: public; Owner: ryan
--

ALTER TABLE ONLY tidsources
    ADD CONSTRAINT sources FOREIGN KEY (sid) REFERENCES sources(sid);


--
-- TOC entry 1788 (class 2606 OID 16431)
-- Dependencies: 1485 1770 1483
-- Name: triggers; Type: FK CONSTRAINT; Schema: public; Owner: ryan
--

ALTER TABLE ONLY tidsources
    ADD CONSTRAINT triggers FOREIGN KEY (tid) REFERENCES triggers(tid);


--
-- TOC entry 1792 (class 0 OID 0)
-- Dependencies: 3
-- Name: public; Type: ACL; Schema: -; Owner: postgres
--

REVOKE ALL ON SCHEMA public FROM PUBLIC;
REVOKE ALL ON SCHEMA public FROM postgres;
GRANT ALL ON SCHEMA public TO postgres;
GRANT ALL ON SCHEMA public TO PUBLIC;


-- Completed on 2009-06-04 11:42:41 EDT

--
-- PostgreSQL database dump complete
--

