#!/usr/bin/perl

use strict;
use warnings;

use Data::Dumper;

use WWW::Mechanize;
use HTML::Parser ();

my $_title;

sub start_handler {
    return if shift ne "title";
    my $self = shift;
    $self->handler( text => sub { $_title = shift; }, "dtext" );
    $self->handler(
        end => sub { shift->eof if shift eq "title"; },
        "tagname,self"
    );
}

sub gettitle {
    my $content = shift;

    my $p = HTML::Parser->new( api_version => 3 );
    $p->handler( start => \&start_handler, "tagname,self" );
    $p->parse($content);
    $p->eof();

    return $_title;
}

my $www = new WWW::Mechanize;

$|++;
open( my $topics, ">", "topics.txt" );
$topics->autoflush(1);

for my $i ( 0 .. 2000 ) {
    print "Fetching topic $i ";
    $www->get("http://forums.dctp.ws/index.php?topic=$i.0");
    if ( $www->success() ) {
        my $title = gettitle( $www->content() );
        print ":: $title";
        print $topics
"!addquote rdft $title :: http://forums.dctp.ws/index.php?topic=$i.0\n"
          if ( $title ne "Login" );
        sleep 10;
    }
    print "\n";
}
